Bug 17731 - Remove the noxml option from rebuild_zebra.pl
Summary: Remove the noxml option from rebuild_zebra.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10455
Blocks: 18069
  Show dependency treegraph
 
Reported: 2016-12-06 14:36 UTC by Jonathan Druart
Modified: 2017-02-14 07:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17731: Remove noxml option from rebuild_zebra.pl (13.34 KB, patch)
2016-12-06 14:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17731: Remove noxml option from rebuild_zebra.pl (13.40 KB, patch)
2017-01-17 00:56 UTC, Emma
Details | Diff | Splinter Review
Bug 17731: Remove noxml option from rebuild_zebra.pl (13.45 KB, patch)
2017-01-19 13:04 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-12-06 14:36:51 UTC

    
Comment 1 Jonathan Druart 2016-12-06 14:40:42 UTC
Created attachment 58003 [details] [review]
Bug 17731: Remove noxml option from rebuild_zebra.pl

The removal of the noxml is a logical follow-up of bug 16506 (which
make xml the default).

Actually this option should have been removed by bug 10455 (it removes
the biblioitem.marc field).

Test plan:
Make sure the rebuild_zebra.pl script works as before.
Comment 2 Emma 2017-01-17 00:56:03 UTC
Created attachment 59038 [details] [review]
Bug 17731: Remove noxml option from rebuild_zebra.pl

The removal of the noxml is a logical follow-up of bug 16506 (which
make xml the default).

Actually this option should have been removed by bug 10455 (it removes
the biblioitem.marc field).

Test plan:
Make sure the rebuild_zebra.pl script works as before.

Signed-off-by: Emma Smith <emma.nakamura.smith@gmail.com>
Comment 3 Kyle M Hall 2017-01-19 13:04:30 UTC
Created attachment 59238 [details] [review]
Bug 17731: Remove noxml option from rebuild_zebra.pl

The removal of the noxml is a logical follow-up of bug 16506 (which
make xml the default).

Actually this option should have been removed by bug 10455 (it removes
the biblioitem.marc field).

Test plan:
Make sure the rebuild_zebra.pl script works as before.

Signed-off-by: Emma Smith <emma.nakamura.smith@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-01-19 13:04:47 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-01-22 19:14:14 UTC
I think there is still some trace left of the -x:

vagrant@kohadevbox:~$ sudo koha-rebuild-zebra -f kohadev
Warning: You passed -x which is already the default and is now deprecated

Waiting for feedback.
Comment 6 Jonathan Druart 2017-01-23 08:09:59 UTC
(In reply to Katrin Fischer from comment #5)
> I think there is still some trace left of the -x:
> 
> vagrant@kohadevbox:~$ sudo koha-rebuild-zebra -f kohadev
> Warning: You passed -x which is already the default and is now deprecated
> 
> Waiting for feedback.

You are not using the patched scripts if you did not copy the debian scripts.

sudo which koha-rebuild-zebra
/usr/sbin/koha-rebuild-zebra
Comment 7 Katrin Fischer 2017-01-23 10:06:29 UTC
I will try that, thx!
Comment 8 Katrin Fischer 2017-02-07 06:47:42 UTC
I think the warning is not from outdated scripts, I have copied them, but old and newer koha-rebuild-zebra contain the following line:
 98 opt_xml="-x"
Which seems to trigger the message shown below for koha-rebuild-zebra?
Comment 9 Jonathan Druart 2017-02-07 08:10:23 UTC
Indeed! See bug 18069.
Comment 10 Katrin Fischer 2017-02-07 09:33:18 UTC
Ok, will take another look at this for 16.11.x
Comment 11 Katrin Fischer 2017-02-14 07:21:41 UTC
This patch has been pushed to 16.11.x and will be in 16.11.04.